<?php
/**
 * Validador para los perfiles de un ususario
 */
class PerfilUsuarioBtMalagaValidador extends ValidadorPicasso {
	
	/**
	 * Implemente la validación.
	 */	
	public function validar($campoEditable) {
		$error = false;
		if ($campoEditable->getField()->Value() != '') {
		  $perfiles = split(";",$campoEditable->getField()->Value());
		  $sistemas = array();
		  foreach ($perfiles as $idPerfil) {
		  	if ($idPerfil != 0) {
			  $perfil = DataObject::get_by_id('PerfilBtMalaga', $idPerfil);
			  if (isset($sistemas[$perfil->SistemaID])) {
				$error = 'Solo se permite un perfil por sistema';
				break;
			  } else {
				$sistemas[$perfil->SistemaID] = 'si';
			  }
		  	}  
		  }	
		}	
		
		return $error;
	}
}
?>